Bug 116033 - /dev/psaux not found after upgrading kernel
/dev/psaux not found after upgrading kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 13:58 EST by Casey Winans
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 14:00:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Casey Winans 2004-02-17 13:58:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
I had a working X configuration with kernel 2.6.2-1.81 installed. I
performed an update via 'yum update' and installed the recommended
updates (kernel-2.6.2-1.85 being one of them). I rebooted using
2.6.2-1.85; when I typed 'startx' I was informed my mouse wasn't
present. I spend much of day searching google and the mailing lists
with not much help. So I rebooted using the 2.6.2-1.81 kernel and all
is well.

Version-Release number of selected component (if applicable):
kernel-2.6.2-1.85

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to kernel-2.6.2-1.85
2. Reboot
3. startx
    

Actual Results:  X windows starts and then fails with the following
message:
xf86OpenSerial: cannot open device /dev/psaux
    No such file or directory.

Expected Results:  X windows loads with cursor

Additional info:

I've reverted back to 2.6.2-1.81 with success.
Comment 1 Arjan van de Ven 2004-02-17 14:00:58 EST
/dev/psaux has been superceded by /dev/input/mice in 2.6
please change your XFree config
Comment 2 Thomas Covello 2004-02-17 17:04:15 EST
the rpm should do that automatically.
Comment 3 Casey Winans 2004-02-18 08:43:30 EST
Ok. That's fine and I've updated my XF86config to use /dev/input/mice.
My question is why did all 2.6 kernels I've tried before 2.6.2-1.85
allow the use of /dev/psaux? Was it something you just caught, Arjan?
Comment 4 Arjan van de Ven 2004-02-18 08:45:00 EST
/dev/psaux is the old legacy interface. We need to catch and convert
all users of it, so disabling is the only way to do that ;)
In addition X might open /dev/psaux AND /dev/input/mice and get events
double that way. X normally deals with that but it can lead to weird
situations.

Note You need to log in before you can comment on or make changes to this bug.